#include <bits/stdc++.h>
#define MAXN 1e6
#define MOD 998244353
using namespace std;
long long int ans;
int n;
void solve(int start,int col){
    if(col==1){
        ans+=1;
        ans%=MOD;
    }
    else{
       int q=n-col+1;
       long long int p=1;
        while(q>0){
            p*=q;
            p%=MOD;
            q--;
        }
        ans+=p;
        ans%=MOD;
    }
for(int i=1;start+i<=n;i++){
    solve(start+i,col+1);
}


}

int main(){
int n,m,k;
cin>>n>>m>>k;
for(int i=1;i<=n;i++){
  solve(i,1);
}
cout<<ans+m;



return 0;
}
